Create, Manage & Delete
Programmatically manage data quality monitors for your assets so you can monitor various aspects of data quality including freshness, volume, field health and custom rules.
Body
assetany ofRequired
or
or
test_typestring · enumRequiredPossible values:
modestring · enumRequiredPossible values:
namestring · max: 100Required
descriptionstring · max: 1000 · nullableOptional
notifybooleanRequired
incident_levelstring · enumRequiredPossible values:
dimensionstring · enum · nullableOptionalPossible values:
row_creationany of · nullableOptional
or
or
frequencyany of · nullableOptional
or
or
or
lookback_periodinteger · min: 1 · nullableOptional
custom_sqlstring · nullableOptional
total_row_count_querystring · nullableOptional
thresholdone of · nullableOptional
or
or
or
or
valuestring · nullableOptional
Responses
200
Successful Response
application/json
monitor_idintegerRequired
422
Validation Error
application/json
post/monitors
POST /api/v1/data/monitors HTTP/1.1
Host: connect.<REGION>.decube.io
Content-Type: application/json
Accept: */*
Content-Length: 546
{
"asset": {
"type": "text",
"id": 1
},
"test_type": "volume",
"mode": "scheduled",
"name": "text",
"description": "text",
"notify": true,
"custom_alerts": {
"email": [
"text"
],
"slack": [
"text"
],
"teams_webhook": [
"text"
]
},
"incident_level": "info",
"dimension": "accuracy",
"row_creation": {
"filter_mode": "text",
"sql_expression": "text",
"enable_smart_training": true
},
"frequency": {
"frequency": "1H"
},
"lookback_period": 1,
"custom_sql": "text",
"total_row_count_query": "text",
"threshold": {
"type": "text"
},
"value": "text",
"grouping": {
"group_by": {
"type": "text",
"id": 1
},
"groups": [
"text"
]
}
}{
"monitor_id": 1
}Body
idintegerRequired
namestring · max: 100 · nullableOptional
descriptionstring · max: 1000 · nullableOptional
notifybooleanRequired
incident_levelstring · enumRequiredPossible values:
dimensionstring · enum · nullableOptionalPossible values:
row_creationany of · nullableOptional
or
or
frequencyany of · nullableOptional
or
or
or
lookback_periodinteger · min: 1 · nullableOptional
custom_sqlstring · nullableOptional
total_row_count_querystring · nullableOptional
thresholdone of · nullableOptional
or
or
or
or
valuestring · nullableOptional
groupsstring[] · nullableOptional
Responses
200
Successful Response
application/json
monitor_idintegerRequired
422
Validation Error
application/json
put/monitors
PUT /api/v1/data/monitors HTTP/1.1
Host: connect.<REGION>.decube.io
Content-Type: application/json
Accept: */*
Content-Length: 435
{
"id": 1,
"name": "text",
"description": "text",
"notify": true,
"custom_alerts": {
"email": [
"text"
],
"slack": [
"text"
],
"teams_webhook": [
"text"
]
},
"incident_level": "info",
"dimension": "accuracy",
"row_creation": {
"filter_mode": "text",
"sql_expression": "text",
"enable_smart_training": true
},
"frequency": {
"frequency": "1H"
},
"lookback_period": 1,
"custom_sql": "text",
"total_row_count_query": "text",
"threshold": {
"type": "text"
},
"value": "text",
"groups": [
"text"
]
}{
"monitor_id": 1
}Query parameters
monitor_idinteger · min: 1Required
Unique identifier of the monitor
Responses
200
Successful Response
application/json
anyOptional
422
Validation Error
application/json
delete/monitors
DELETE /api/v1/data/monitors?monitor_id=1 HTTP/1.1
Host: connect.<REGION>.decube.io
Accept: */*
No content
Monitor Validation & Constraints
Monitorable assets
Asset types by test
Test Type
Primary Asset Type
create_supported
Supported test types by monitor mode
Test Type
On-Demand Support
Scheduled Support
Notes
Test type capabilities and features
Test Type
Grouping Support
Smart Training
Quality Dimensions
Row Creation Required
Mode and scheduling rules
Frequency shapes and constraints
Row Creation Mode
Hourly (1H, 3H, 6H, 12H)
Daily
Weekly
Monthly
Row creation modes and constraints
Row creation mode availability
Test Type
Monitor Mode
Timestamp
SQL Expression
All Records
Notes
Row creation mode specifications
Lookback period constraints
Row Creation Mode
Lookback Period Required
Notes
Grouping and group mapping
Custom SQL grouping
Alerts and notifications
Thresholds: validation rules and types by test type
Threshold types and validation rules
Test Type
Monitor Mode
Threshold Type(s)
Validation Rules
Notes
Threshold object shapes
Test-type specific notes
Names and descriptions
Time zones
Appendix: Quick Field reference
Last updated